Rebalancing does not need to have a contrarian flavour. For this reason, the claim that rebalancing has benefits is empty. It needs further qualification. I illustrate this using a leveraged portfolio.

As usual, I take a world with two assets, cash bearing zero interest rate and a risky asset with price \(p\). At inception, investment is initiated with one dollar. The initial price is \(p_{0}=1\). The initial amount is leveraged to reach an exposure to the risky asset of \(\pi>1\). The position in cash is thus \(1-\pi \lt 0\).
Assuming the portfolio is continuously rebalanced and the price trajectory is smooth, its value as a function of the price is given by:
\[V(p)=p^{\pi},\]
and the number of shares held as a function of the price is:
\[n(p)=\pi p^{\pi-1}.\]
This is an increasing function of the price so that the investment policy consists in buying more shares as they go up, and selling shares as they go down. Rebalancing to a leveraged exposure is a momentum policy, as opposed to a contrarian policy.

I show the leveraged trading policy and the leverage value function versus the corresponding buy-and-hold quantities in the graphs below.

